@echo off
color 1f
cls
echo.

:Admin_Check
cd /d "%~dp0" && ( if exist "%temp%\getadmin.vbs" del "%temp%\getadmin.vbs" ) && fsutil dirty query %systemdrive% 1>nul 2>nul || (cmd /u /c echo Set UAC = CreateObject^("Shell.Application"^) : UAC.ShellExecute "cmd.exe", "/k cd ""%~dp0"" && ""%~0"" %params%", "", "runas", 1 > "%temp%\getadmin.vbs" && "%temp%\getadmin.vbs" && exit /B )

:Browser_Reset
regedit /s "UrlAssociations_default_MSEdge.reg"

:Edge_lnk_Copy
echo [InternetShortcut] >"%userprofile%\desktop\Microsoft Edge.url"
echo URL=https://windowsforum.kr >>"%userprofile%\desktop\Microsoft Edge.url"
echo IconFile="%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\Default\Edge Profile.ico" >>"%userprofile%\desktop\Microsoft Edge.url"
echo IconIndex=0 >>"%userprofile%\desktop\Microsoft Edge.url"

:Microsoft_Edge_Start
"%userprofile%\desktop\Microsoft Edge.url"

:END
exit